Package com.netrics.likeit

## Enum NetricsServerInterface.ShutdownStatus

- java.lang.Object
- - java.lang.Enum<NetricsServerInterface.ShutdownStatus>
  - - com.netrics.likeit.NetricsServerInterface.ShutdownStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NetricsServerInterface.ShutdownStatus>`
  Enclosing class:
    NetricsServerInterface

      public static enum NetricsServerInterface.ShutdownStatus
      extends java.lang.Enum<NetricsServerInterface.ShutdownStatus>

  Defines the status of the server that is being shut down.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Complete` | Shutdown is done
    `Initiated` | Shutdown has been started

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NetricsServerInterface.ShutdownStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NetricsServerInterface.ShutdownStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Initiated

          public static final NetricsServerInterface.ShutdownStatus Initiated

      Shutdown has been started

    - #### Complete

          public static final NetricsServerInterface.ShutdownStatus Complete

      Shutdown is done

  - ### Method Detail

    - #### values

          public static NetricsServerInterface.ShutdownStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetricsServerInterface.ShutdownStatus c : NetricsServerInterface.ShutdownStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetricsServerInterface.ShutdownStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null